(* ::Package:: *)

BeginPackage["BinomialPackage`"]

Binomialdistribution::usage =
"Binomialdistribution[n, r, p] calculates the binomial probability distribution under the conditions that n must be an integer, n \[GreaterEqual] 1, n >= r and 0 <= p <= 1"; 

Begin["`Private`"]


Binomialdistribution[n_Integer, (r_Integer)?NonNegative, 
     (p_)?NonNegative]/; n >=r && 0<=p<=1 :=(n!/(r!*(n - r)!))*p^r*(1 - p)^(n - r); 

Binomialdistribution[n_, r_, p_]:="Check that n is an integer, r is a non-negative integer,n >= r and 0 \[LessEqual] p \[LessEqual] 1"

End[]

EndPackage[]
