(* ::Package:: Computing the Intervals for the mean*)

BeginPackage["`Intervals`"]

IntervalsMean::usage = "IntervalsMean[m, sig, n, alpha] for a sample of n items with mean m, and deviation sig and fixed alpha 
gives the unilateral and bilateral intervals for the mean";

Begin["`Private`"]

IntervalsMean[mean_, sd_, n_, alpha_] := 
Module[{za, zb}, za = Quantile[NormalDistribution[0, 1], 1 - alpha]; 
zb = Quantile[NormalDistribution[0, 1], 1 - alpha/2]; 
{"unilateral:", {"LUS" -> mean + za*sd/Sqrt[n], "LUI" -> mean - za*sd/Sqrt[n]}, "bilateral:", {"LBS" -> mean + zb*sd/Sqrt[n], "LBI" -> mean - zb*sd/Sqrt[n]}}]; 

End[]

EndPackage[]



